package com.logicbig.example.beans;

import org.springframework.core.Ordered;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

public interface Account {
}

@Component
class SavingAccount implements Account, Ordered {
    @Override
    public String toString() {
        return "SavingAccount";
    }

    @Override
    public int getOrder() {
        return 2;
    }
}

@Component
class CheckingAccount implements Account, Ordered {
    @Override
    public String toString() {
        return "CheckInAccount";
    }

    @Override
    public int getOrder() {
        return 3;
    }
}

@Component
class FixedDepositAccount implements Account, Ordered {
    @Override
    public String toString() {
        return "FixedDepositAccount";
    }

    @Override
    public int getOrder() {
        return 1;
    }
}